#pragma once

#include "AlignedAllocator.h"
#include <glm/vec4.hpp>
#include <glm/vec3.hpp>
#include <glm/vec2.hpp>
#include <vector>

typedef glm::tvec4<uint8_t> ucvec4_t;
typedef std::vector<ucvec4_t, AlignedAllocator<ucvec4_t> > texture3_t;
typedef std::vector<uint8_t, AlignedAllocator<uint8_t>> texture1_t;
typedef std::vector<glm::vec3, AlignedAllocator<glm::vec3> > vec3v_t;
typedef std::vector<glm::vec2, AlignedAllocator<glm::vec2> > vec2v_t;
typedef std::vector<glm::uvec3, AlignedAllocator<glm::uvec3> > uvec3v_t;
typedef std::vector<glm::uvec4, AlignedAllocator<glm::uvec4> > uvec4v_t;
typedef std::vector<uint32_t> uintv_t;
